#version 430 core

 uniform sampler2D uInputTex;

uniform vec4 uScale;
uniform vec4 uBias;

noperspective in vec2 TexCoords;

   out vec4 fResult;

   void main() {
      fResult = max(vec4(0.0), texture(uInputTex, TexCoords) + uBias) * uScale;
   }