#version 430 core

in vec3 texcoords;
uniform samplerCube cube_texture;
layout (location = 0) out vec4 frag_colour;
layout (location = 1) out vec4 threshold;

void main () {
	frag_colour = texture (cube_texture, texcoords);
	
	float brightness = dot(frag_colour.rgb, vec3(0.2126, 0.7152, 0.0722));
	 
	if(brightness > 1.0)
        threshold = frag_colour;
    else
        threshold = vec4(0.0, 0.0, 0.0, 1.0);
	
}
